%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Math-Pari
%define modv   2.010806
%define modp   %(echo %{modn} | cut -d'-' -f1)

%define pariv  2.1.7


Summary:       A Perl interface to PARI
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/I/IL/ILYAZ/modules/%{modn}-%{modv}.tar.gz
Source1:       ftp://pari.math.u-bordeaux.fr/pub/pari/unix/OLD/pari-%{pariv}.tgz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Ilya Zakharevich <cpan@ilyaz.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)


%description
The Math::Pari package provides a Perl interface to the famous library PARI
for numerical/scientific/number-theoretic calculations. It allows use of most
PARI functions as Perl functions, and (almost) seamless merging of PARI and
Perl data.


%prep
%setup -q -n %{modn}-%{modv} -a 1

# Fix permissions
%{__chmod} -x {Changes,INSTALL,README,TODO,Pari*}


%build
export DLCFLAGS="-fPIC"

%{__perl} \
	Makefile.PL          \
	machine="none"       \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes INSTALL README TODO
%{perl_vendorarch}/auto/%{modp}
%{perl_vendorarch}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Thu Sep 09 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.010806-1
- New version (2.010806)

* Fri Jul 03 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.010801-1
- Initial build
